Package oracle.kv.table

# Enum FieldDef.Type

java.lang.Object
java.lang.Enum<FieldDef.Type>
oracle.kv.table.FieldDef.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<FieldDef.Type>`, `oracle.kv.impl.util.FastExternalizable`

Enclosing interface:
  FieldDef

public static enum FieldDef.Type extends Enum<FieldDef.Type> implements oracle.kv.impl.util.FastExternalizable
The type of a field definition.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANY`
  `ANY_ATOMIC`
  `ANY_JSON_ATOMIC`
  `ANY_RECORD`
  `ARRAY`
  `BINARY`
  `BOOLEAN`
  `DOUBLE`
  `EMPTY`
  `ENUM`
  `FIXED_BINARY`
  `FLOAT`
  `GEOMETRY`
  `INTEGER`
  `JSON`
  `JSON_INT_MRCOUNTER`
  `JSON_LONG_MRCOUNTER`
  `JSON_NUM_MRCOUNTER`
  `LONG`
  `MAP`
  `NUMBER`
  `POINT`
  `RECORD`
  `STRING`
  `TIMESTAMP`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FieldDef.Type`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static FieldDef.Type[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface oracle.kv.impl.util.FastExternalizable

  `deserializedForm`

- ## Enum Constant Details

  - ### ARRAY

    public static final FieldDef.Type ARRAY

  - ### BINARY

    public static final FieldDef.Type BINARY

  - ### BOOLEAN

    public static final FieldDef.Type BOOLEAN

  - ### DOUBLE

    public static final FieldDef.Type DOUBLE

  - ### ENUM

    public static final FieldDef.Type ENUM

  - ### FIXED_BINARY

    public static final FieldDef.Type FIXED_BINARY

  - ### FLOAT

    public static final FieldDef.Type FLOAT

  - ### INTEGER

    public static final FieldDef.Type INTEGER

  - ### LONG

    public static final FieldDef.Type LONG

  - ### MAP

    public static final FieldDef.Type MAP

  - ### RECORD

    public static final FieldDef.Type RECORD

  - ### STRING

    public static final FieldDef.Type STRING

  - ### ANY

    public static final FieldDef.Type ANY

  - ### ANY_RECORD

    public static final FieldDef.Type ANY_RECORD

  - ### ANY_ATOMIC

    public static final FieldDef.Type ANY_ATOMIC

  - ### EMPTY

    public static final FieldDef.Type EMPTY

  - ### JSON

    public static final FieldDef.Type JSON

  - ### TIMESTAMP

    public static final FieldDef.Type TIMESTAMP

  - ### NUMBER

    public static final FieldDef.Type NUMBER

  - ### ANY_JSON_ATOMIC

    public static final FieldDef.Type ANY_JSON_ATOMIC

  - ### GEOMETRY

    public static final FieldDef.Type GEOMETRY

  - ### POINT

    public static final FieldDef.Type POINT

  - ### JSON_INT_MRCOUNTER

    public static final FieldDef.Type JSON_INT_MRCOUNTER

  - ### JSON_LONG_MRCOUNTER

    public static final FieldDef.Type JSON_LONG_MRCOUNTER

  - ### JSON_NUM_MRCOUNTER

    public static final FieldDef.Type JSON_NUM_MRCOUNTER

- ## Method Details

  - ### values

    public static FieldDef.Type[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FieldDef.Type valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null